NativeEvents.onEvent("net.neoforged.neoforge.event.entity.player.PlayerEvent$PlayerChangedDimensionEvent", event => {
    if (event.to.location().getNamespace().equals("eternal_starlight")){
        event.entity.tell("Due to severe lag with Eternal Starlight, progress will not be recorded until mod fix their issues")
        if (Platform.clientEnvironment) {
            Client["submit(java.lang.Runnable)"](() => {
                Client.gui.setTitle(Text.of("进度将不会保存在").append(Text.blue("永恒星光")))
                Client.gui.setSubtitle(Text.white("由于卡顿,所有进度将不会保存在").append(Text.blue("永恒星光")))
            })
        }
        event.entity.tell("Eternal Starlight, will be removed on version 6.0+")
    }
})